/* 左侧导航 end */
/* 20100331 李巍增加 */
var _framehead = '<div class="content_bg">';
var _framefoot = '</div>';
var selmenu = 0;

var url = location.href;
var pos = url.lastIndexOf('/');
if(pos < 0) pos = url.lastIndexOf('\\');

url = url.substr(pos + 1);

function writeHead()
{

	document.writeln(_framehead);
	document.writeln('<div id="menu"><ul class="level1">');
	for (var i=0;i<item.length;i++){
		//<li class="p_l"><a href="#"><span>银行类工具(存款)</span></a></li>
		document.writeln('<li class="p_l" id="menu'+ i +'"><a href="javascript:void(0);" onClick="ShowItem(' +i+ ');"><span>'+ item[i][0] +'</span></a></li>');
		if(item[i][1].length > 0)
		{
			document.writeln('<li id="item'+ i +'" style="display:none;">');
			document.writeln('<ul class="level2">');
			for (var j=0;j<item[i][1].length;j++){
	//    	<li class="p_2"><a href="#"><span>理财规划计算器</span></a></li>
	//        <li class="current"><a href="#"><span>子女教育基金计算器</span></a></li>
				if(url != item[i][1][j][1])
				{
					document.writeln('<li id="item'+ i +'sub'+ j +'" class="p_2"><a href="' +item[i][1][j][1]+ '" ><span>' +item[i][1][j][0]+ '</span></a></li>');
				}
				else
				{
					selmenu = i;
					document.writeln('<li id="item'+ i +'sub'+ j +'" class="current"><a href="' +item[i][1][j][1]+ '" ><span>' +item[i][1][j][0]+ '</span></a></li>');
				}
			}
			document.writeln('</ul>');
			document.writeln('</li>');
		}
	}
	document.writeln('</ul></div>');
}
function writeFoot()
{
	document.writeln(_framefoot);
	//ShowItem(navIndex);
	ShowItem(selmenu);
	//document.getElementById('item'+ navIndex +'sub'+ navsubIndex).className = 'current';
}

function ShowItem (itemId)
{
	for (var i = 0; i < item.length; i++)

	{
		document.getElementById("item" + i).style.display = "none";
		document.getElementById('menu' + i).className = 'p_l';
	}
	document.getElementById('item' + itemId).style.display = '';
	document.getElementById('menu' + itemId).className = 'menucurr';
}

var item=new Array(

	new Array('银行类工具(存款)',//<-- 大类名，下面几行则为此类下的所有计算器
		new Array(
			new Array('通知存款计算器','tzck.htm'),//<-- 此2项分别为“计算器名”,“链接”
			new Array('整存零取计算器','zclq.htm'),
			new Array('最佳存款组合','zjcksjzh.htm'),
			new Array('整(零)存整取计算器','zczq.htm'),
			new Array('活期储蓄计算器','hqcx.htm')
			 //<-- 依次向下罗列，最后一行“)”后没有“,”
		)
	), //<-- 非结尾大类后有“,”
	new Array('银行类工具(贷款)',//<-- 另一个大类
		new Array(
			new Array('个人贷款计算器','grdk.htm')//<-- 最后一行“)”后没有“,”
		)
	), //<-- 非结尾大类后有“,”

	new Array('保险类工具',//<-- 另一个大类
		new Array(
			new Array('基本养老保险计算器','jbylbx.htm'),
			new Array('基本医疗保险计算器','jbyiliaobx.htm'),
			new Array('工伤保险计算器','gsbx.htm'),
			new Array('失业保险','sybx.htm'),
			new Array('住房公积金计算器','zfgjj.htm'),
			new Array('退休时每月领取的养老保险金估<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;算计算器','ylbxlq.htm')
		)
	),

	new Array('股票类工具',//<-- 另一个大类
		new Array(
			new Array('股票收益计算器 ','gpsy.htm')

		)
	),

	new Array('基金类工具',//<-- 另一个大类
		new Array(
			new Array('基金买卖计算器','jjmm.htm') 
		)
	),

	new Array('期货类工具',//<-- 另一个大类
		new Array(
			new Array('期货理财计算器 ','qhlc.htm')
		)
	), 

	new Array('债券类工具',//<-- 另一个大类
		new Array(
			new Array('债券收益率计算器','zqsyl.htm') 
		)
	), 

	new Array('外汇',//<-- 另一个大类
		new Array(
			new Array('外汇储蓄计算器','whcx.htm'),
			new Array('外汇兑换计算器','whdh.htm') 
		)
	), 

	new Array('税务类',//<-- 另一个大类
		new Array(
			new Array('个人所得税计算器','grsds.htm')

		)
	),

	new Array('理财规划类',//<-- 另一个大类
		new Array(
			new Array('理财规划计算器','lcgh.htm'),
			new Array('子女教育基金计算器','znjyjj.htm'),
			new Array('投资收益计算器','tzsy.htm'),
			new Array('资产净值计算器','zcjz.htm'),
			new Array('黄金理财计算器','hjlc.htm')
		)
	), 
	new Array('买车计算',//<-- 另一个大类
		new Array(
			new Array('购车综合计算器','gczh.htm') 
		)
	), 

	new Array('购房计算',//<-- 另一个大类
		new Array(
			new Array('购房能力评估计算器','gfnlpg.htm'),
			new Array('提前还贷计算器','tqhk.htm'),
			new Array('税费计算器','mfsf.htm'),
			new Array('公积金贷款额度年限计算器','gjjdkednx.htm'),

			new Array('等额本金还款法计算器','debj.htm'),
			new Array('等额本息还款法计算器','debx.htm')

		)
	) /*,
	new Array('家庭财务健康诊断',new Array(
			new Array('家庭财务健康诊断',''))) */

);
/* 左侧导航 end */


var rateDemand = 0.72;//活期利率(%)

//整存整取==========
var rate3  = 1.71;//3个月
var rate6  = 2.07;//6个月
var rate12 = 2.25;//一年利率
var rate24 = 2.70;//2年利率
var rate36 = 3.24;//3年利率
var rate60 = 3.60;//5年利率

//零存整取===========
var rateLZ12 = 1.71;//1年利率
var rateLZ36 = 2.07;//3年利率
var rateLZ60 = 2.25;//5年利率

//存本取息===========
var rateQX12 = 1.71;//1年利率
var rateQX36 = 2.07;//3年利率
var rateQX60 = 2.25;//5年利率

//整存零取============
var rateZL12 = 1.71;//1年利率
var rateZL36 = 2.07;//3年利率
var rateZL60 = 2.25;//5年利率

//定活两便===========
var rateLB3  = 1.026;//3个月
var rateLB6  = 1.242;//6个月
var rateLB12 = 1.35//一年利率
var rateLB24 = 1.62;//2年利率
var rateLB36 = 1.944;//3年利率
var rateLB60 = 2.16;//5年利率

//通知存款==============
var rateTZ1 = 1.08;//1天
var rateTZ7 = 1.62;//1天

var iTax = 0.2;//利息税

//外币储蓄利息  = 活期 七天通知 一个月 三个月 六个月 一年 二年 
var AUD = new Array(0.5000, 1.2500, 2.0625, 2.3750, 2.6875, 3.3125, 3.3750);//澳大利亚元
var HKD = new Array(0.0750, 0.2500, 0.5000, 0.7500, 0.8750, 1.0000, 1.2500);//港币
var CAD = new Array(0.1500, 0.3750, 0.6250, 0.8750, 1.0625, 1.5625, 1.6250);//加拿大元
var USD = new Array(0.0750, 0.2500, 0.6250, 0.8750, 1.0000, 1.1250, 1.3125);//美元
var EUR = new Array(0.1000, 0.3750, 0.7500, 1.0000, 1.1250, 1.2500, 1.3125);//欧元
var JPY = new Array(0.0001, 0.0005, 0.0100, 0.0100, 0.0100, 0.0100, 0.0100);//日元
var CHF = new Array(0.0500, 0.0625, 0.1000, 0.1250, 0.2500, 0.5000, 0.5625);//瑞士法郎
var SGD = new Array(0.0750, 0.1250, 0.1875, 0.3125, 0.3750, 0.5625, 0.5938);//新加坡元
var GBP = new Array(0.3000, 1.0000, 1.7500, 2.3125, 2.6875, 3.0625, 3.1250);//英镑

/* -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

function CheckElem(curObj, msg){
	if(msg==null) msg="";
	if(curObj.value==''){
		alert(msg + "不可为空!");
		curObj.focus();
		curObj.select();
		return false;
	}else if(isNaN(curObj.value)){
		alert(msg + "必须为数字!");
		curObj.focus();
		curObj.select();
		return false;
	}else{
		return true;
	}
}
function Format(myFloat){
	if(isNaN(myFloat)||myFloat.toString().toLowerCase().indexOf("infinity")>-1) {
		return("不合法，可能是被除数为零。");
	}else{
		return Math.round(myFloat * 100)/100;
	}
}
function CheckTextBox(formObj){
	for(var i=0;i<formObj.elements.length;i++){
		if(formObj.elements[i].readOnly==true){
			formObj.elements[i].style.color = "#0000ff";
		}
		if(formObj.elements[i].type.toLowerCase()=="text" && !isNaN(formObj.elements[i].value)){
			if(parseFloat(formObj.elements[i].value)<0) formObj.elements[i].style.color = "#ff0000";
		}
	}
}
function GetObj(objName){
	if(document.getElementById){
		return eval('document.getElementById("' + objName + '")');
	}else{
		return eval('document.all.' + objName);
	}
}


function resizenav()
{
	$('#menu').css('height', 'auto');
	var clientheight = Math.max(document.body.clientHeight, document.body.scrollHeight) - 5;
	$('#menu').css('height', clientheight);
}

$(function(){
	resizenav();
});

